Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 15917

Description

Subject has been discussed previously here [0]

Tested only on Windows (XP and 7)

When starting QGIS with --configpath option to move profile in a different location than %USERPROFILE%, plugins can be installed with

installer. 

Path handling seems to consider '\\' as an escape character, and error log shows a truncated path.

For example, starting with --configpath "F:\\temp\\.qgis" gives following error on install:

Impossible de charger l'extension 'HelloWorld' depuis ['C:/OSGEO4W/apps/qgis-dev/./python', 'F: emp\\.qgis/python',

'R:\\Espace_Correspondants_SIG\\Astuces_Outils\\QGIS_PLUGINS', 'F: emp\\.qgis/python/plugins',

'C:/OSGEO4W/apps/qgis-dev/./python/plugins', 'C:\\OSGEO4W\\bin\\python27.zip', 'C:\\OSGEO4W\\apps\\Python27\\DLLs',

'C:\\OSGEO4W\\apps\\Python27\\lib', 'C:\\OSGEO4W\\apps\\Python27\\lib\\plat-win', 'C:\\OSGEO4W\\apps\\Python27\\lib\\lib-tk',

'C:\\OSGEO4W\\bin', 'C:\\OSGEO4W\\apps\\Python27', 'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages',

'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages\\PIL', 'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages\\win32',

'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages\\win32\\lib', 'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages\\Pythonwin',

'C:\\OSGEO4W\\apps\\Python27\\lib\\site-packages\\wx-2.8-msw-unicode',

'C:\\OSGEO4W\\apps\\qgis-dev\\python\\plugins\\fTools\\tools']

_

[0] [[http://osgeo-org.1560.n6.nabble.com/commandline-startup-option-changed-in-master-td5018190.html#a5018973]]

Associated revisions

Revision e97afe09 - 2012-11-28 11:41 AM - Nathan Woodrow 

Fix #6764

Revision 84c709f1 - 2012-11-28 02:05 PM - Nathan Woodrow 

Fix #6764 again.  Replace backslash for python code only

History

#1 - 2012-11-27 08:30 PM - Nathan Woodrow

- Assignee set to Nathan Woodrow
http://osgeo-org.1560.n6.nabble.com/commandline-startup-option-changed-in-master-td5018190.html#a5018973


Good old windows and it use of \\ for paths.  Will fix.

#2 - 2012-11-28 12:47 AM - Regis Haubourg

Ah! so dumb of me, I should have known it. 

Well, so the workaround before patch is to use "/" and not "\\" in configpath. Tested today and it works. 

Thanks Nathan (again)

#3 - 2012-11-28 02:59 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"e97afe0997e325c96d432a79d55e49de9304e33b".
